import request from '@/utils/request'

// 解绑/绑定班主任关系
export function updateTeacherClassRelation(data) {
  return request({
    url: '/system/relation/bind/class/teacherMain',
    method: 'post',
    data
  })
}

// 获取关系列表
export function getRelationInfoList(params) {
  return request({
    url: '/system/relation/info/list',
    method: 'get',
    params
  })
}


// 老师绑定班级
export function teacherBindClass(data) {
  return request({
    url: '/system/relation/bind/teacher',
    method: 'post',
    data
  })
}

// 获取关系列表
export function searchTeacherBindClass(teacherId) {
  return request({
    url: '/system/relation/search/' + teacherId,
    method: 'get',
  })
}